uniform sampler2D tex1;
uniform sampler2D tex2;
uniform sampler2D blurTex;

//uniform float opacity;
varying float opacity;
varying float blurOpacity;

void main()
{
  vec4 gauss = texture2D( blurTex, gl_TexCoord[0].st);
  vec4 base = texture2D( tex1, gl_TexCoord[1].st);
  vec4 blend = texture2D( tex2, gl_TexCoord[2].st);

  vec4 result;
  vec4 white = vec4(1., 1., 1., 1.);
  
  result = blend;
 

  //float raw = max(gauss.r, opacity);
  //gauss.r = min(raw, 1.0);
  //vec4 mixed = vec4(base);
  vec4 mixed = mix(base, result, opacity);
  gl_FragColor = vec4(mixed.rgb, gauss.r * blurOpacity);
  //gl_FragColor = vec4(base.r, base.g, base.b, gaus.r);
  //gl_FragColor = mix(gauss, base, 0.0);
  //gl_FragColor = mix(gl_FragColor, gauss, 0.5);
  //gl_FragColor = gauss.rgba;
  //gl_FragColor = blend.rgba;
}

